volumes
Update Volume
Update Volume
PATCH
/
volumes
/
{id}
Update Volume
curl --request PATCH \
--url https://mycluster.domino.tech/remotefs/v1/volumes/{id} \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"name": "<string>"
}
'import requests
url = "https://mycluster.domino.tech/remotefs/v1/volumes/{id}"
payload = {
"description": "<string>",
"name": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', name: '<string>'})
};
fetch('https://mycluster.domino.tech/remotefs/v1/volumes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capacity": 123,
"createdAt": "<string>",
"createdBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"dataPlaneId": "<string>",
"filesystemId": "<string>",
"id": "<string>",
"maxSnapshots": 123,
"name": "<string>",
"numSnapshots": 123,
"path": "<string>",
"status": "Active",
"uniqueName": "<string>",
"updatedAt": "<string>",
"updatedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"description": "<string>",
"filesystemName": "<string>",
"grants": [
{
"isOrganization": true,
"targetId": "<string>",
"targetName": "<string>",
"targetRole": "VolumeOwner"
}
],
"lastMountedTime": "<string>",
"projects": [
{
"addedAt": "<string>",
"addedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"name": "<string>",
"projectId": "<string>",
"volumeId": "<string>"
}
],
"properties": [
{
"fields": [
{
"propertyId": "<string>",
"propertyLabel": "<string>",
"status": "<string>",
"type": "<string>",
"updatedAt": "<string>",
"updatedBy": {
"userID": "<string>",
"username": "<string>"
},
"value": "<string>"
}
],
"groupName": "<string>"
}
],
"storageSize": 123,
"taxonomyTags": [
{
"description": "<string>",
"fullPath": [
"<string>"
],
"id": "<string>",
"label": "<string>",
"namespaceId": "<string>",
"namespaceLabel": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Path Parameters
ID of volume to retrieve
Response
OK
Maximum size in bytes
Show child attributes
Show child attributes
Available options:
Active, MarkedForDeletion, Deleted Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Used size in bytes
Show child attributes
Show child attributes
Last modified on June 26, 2026
Related topics
Create NetApp Volumes from Domino or a projectUpdate grants by Volume IDUpdate filesystemUpdate Snapshot by IDWas this page helpful?
⌘I
Update Volume
